import { Tag, HighlightStyle, tags } from "@codemirror/highlight";
const styles = [];
const names = new Map();
for (const [name, tag] of Object.entries(tags)) {
    if (tag instanceof Tag) {
        names.set(tag.id, name);
        const classes = [];
        for (const { id } of tag.set) {
            const name = names.get(id);
            if (name !== undefined) {
                classes.push(`cmt-${name}`);
            }
        }
        styles.push({ tag: tag, class: classes.join(" ") });
    }
}
export const classNameStyle = HighlightStyle.define(styles);
