import { highlightTree } from "@codemirror/highlight";
import { classNameStyle } from "./classHighlightStyle.js";
export function fromCodeMirror(source, tree) {
    const children = [];
    let index = 0;
    highlightTree(tree, classNameStyle.match, (from, to, classes) => {
        if (from > index) {
            children.push({ type: "text", value: source.slice(index, from) });
        }
        children.push({
            type: "element",
            tagName: "span",
            properties: { className: classes },
            children: [{ type: "text", value: source.slice(from, to) }],
        });
        index = to;
    });
    if (index < source.length) {
        children.push({ type: "text", value: source.slice(index) });
    }
    return { type: "root", children };
}
